Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`mail`.`maildir`.`MaildirMessage``

class documentation

`class MaildirMessage(mail.FileMessage): (source)`

Constructor: `MaildirMessage(address, fp, *a, **kw)`

View In Hierarchy

A message receiver which adds a header and delivers a message to a file whose name includes the size of the message.

Method | `__init__` | No summary
Method | `eomReceived` | At the end of message, rename the file holding the message to its final name concatenated with the size of the file.
Method | `lineReceived` | Write a line to the file.
Instance Variable | `finalName` | Undocumented
Instance Variable | `size` | The number of octets in the message.

Inherited from `FileMessage`:

Method | `connectionLost` | Delete the file holding the partially received message.
Instance Variable | `fp` | See `__init__`.
Instance Variable | `name` | See `__init__`.

def __init__(self, address, fp, *a, **kw): (source)
overrides `twisted.mail.mail.FileMessage.__init__`

Parameters
address:`bytes` | The address of the message recipient.
fp:file-like object | The file in which to store the message while it is being received.
*a:2-`tuple` of (0) `bytes`, (1) `bytes` | Positional arguments for `FileMessage.__init__`.
**kw:`dict` | Keyword arguments for `FileMessage.__init__`.

def eomReceived(self): (source)
from `twisted.mail.interfaces.IMessageSMTP`
overrides `twisted.mail.mail.FileMessage.eomReceived`

At the end of message, rename the file holding the message to its final name concatenated with the size of the file.

Returns
`Deferred` which successfully results in `bytes` | A deferred which returns the name of the file holding the message.

def lineReceived(self, line): (source)
from `twisted.mail.interfaces.IMessageSMTP`
overrides `twisted.mail.mail.FileMessage.lineReceived`

Write a line to the file.

Parameters
line:`bytes` | A received line.

finalName = (source)
overrides `twisted.mail.mail.FileMessage.finalName`

Undocumented

size: `int` = (source)

The number of octets in the message.